## com.sun.jersey.api.model
Class AbstractSetterMethod

    java.lang.Object
      com.sun.jersey.api.model.AbstractMethod
          com.sun.jersey.api.model.AbstractSetterMethod

All Implemented Interfaces:
  AbstractModelComponent, Parameterized, java.lang.reflect.AnnotatedElement

    public class AbstractSetterMethod

extends AbstractMethod
implements Parameterized, AbstractModelComponent

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`AbstractSetterMethod(AbstractResource resource, java.lang.reflect.Method method, java.lang.annotation.Annotation[] annotations)`

Method Summary
`void` | `accept(AbstractModelVisitor visitor)`
`java.util.List<AbstractModelComponent>` | `getComponents()`
`java.util.List<Parameter>` | `getParameters()`
`java.lang.String` | `toString()`

Methods inherited from class com.sun.jersey.api.model.AbstractMethod
`getAnnotation, getAnnotations, getDeclaredAnnotations, getMethod, getResource, isAnnotationPresent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractSetterMethod

    public AbstractSetterMethod(AbstractResource resource,
                                java.lang.reflect.Method method,
                                java.lang.annotation.Annotation[] annotations)

Method Detail

### getParameters

    public java.util.List<Parameter> getParameters()

  Specified by:
    `getParameters` in interface `Parameterized`

### accept

    public void accept(AbstractModelVisitor visitor)

  Specified by:
    `accept` in interface `AbstractModelComponent`

### getComponents

    public java.util.List<AbstractModelComponent> getComponents()

  Specified by:
    `getComponents` in interface `AbstractModelComponent`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2017 Oracle Corporation. All Rights Reserved.